Bug 535033 - (RHQ-1771) Investigate truncating the oob temp table instead of doing delete from
Investigate truncating the oob temp table instead of doing delete from
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
1.2
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Task
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 09:53 EDT by Heiko W. Rupp
Modified: 2010-08-07 10:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-07 10:05:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-03-12 09:53:00 EDT
In RHQ-1738 one of the issues was that Oracle does not like the "truncate table" statement, which has been changed to "delete from".

We need to investigate if this causes issues performance wise (none seen so far).
Comment 1 Joseph Marques 2009-03-22 10:46:56 EDT
remember, even though the baseline calculation job is running every hour now, it is /only/ recalculating the baselines that are "stale".  so, whereas with the previous algorithm all baselines were deleted and recalculated at the same time across all measurement schedules, it's now likely that only a fraction of the baselines will recalculate at any given point in time.  likewise, the oob algorithm could be adjusted to only delete/recalc oobs that have had their baselines recalculated during the same purge job.
Comment 2 Red Hat Bugzilla 2009-11-10 15:46:18 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1771
This bug is related to RHQ-1738
Comment 3 wes hayutin 2010-02-16 10:44:47 EST
mass move off the qa triage list.  These are tasks for dev.
Comment 4 Heiko W. Rupp 2010-08-07 10:05:41 EDT
There have no performance issues been seen or been reported. So no need to work on this.

Note You need to log in before you can comment on or make changes to this bug.